Bug 168046 - Review Request: pyflowtools - An interface to OSU FlowTools
Review Request: pyflowtools - An interface to OSU FlowTools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://www.net.informatik.tu-muenchen...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-11 12:17 EDT by Paul P Komkoff Jr
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-07 08:41:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
minor cleanups for pyflowtools spec file (800 bytes, patch)
2005-10-05 15:22 EDT, Tom "spot" Callaway
no flags Details | Diff

  None (edit)
Description Paul P Komkoff Jr 2005-09-11 12:17:20 EDT
Spec Name or Url: http://mirrors.sgu.ru/mm/s/SPECS/pyflowtools.spec
SRPM Name or Url: http://mirrors.sgu.ru/mm/s/4/SRPMS/pyflowtools-0.3-2.src.rpm
Description: Python bindings to OSU Flow-Tools library

This is an interface which allows one to read flows stored by
OSU FlowTools into python program for further analysis.
Comment 1 Paul P Komkoff Jr 2005-09-17 13:45:29 EDT
Anything special here?
Comment 2 Paul P Komkoff Jr 2005-09-25 16:18:10 EDT
Spec Name or Url: http://mirrors.sgu.ru/mm/s/SPECS/pyflowtools.spec
SRPM Name or Url: http://mirrors.sgu.ru/mm/s/4/SRPMS/pyflowtools-0.3-3.src.rpm

I've updated .spec and SRPM. May we approve it and move on to the next package?
I have many of them almost ready ...

Spot?
Comment 3 Tom "spot" Callaway 2005-10-05 15:19:12 EDT
Good:

- rpmlint checks return:
W: pyflowtools wrong-file-end-of-line-encoding
/usr/share/doc/pyflowtools-0.3/COPYING
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 
Comment 4 Tom "spot" Callaway 2005-10-05 15:22:12 EDT
Created attachment 119647 [details]
minor cleanups for pyflowtools spec file

There is one issue that I think is worth mentioning with this package. You're
using a generated filelist and using that to populate %files. This is not a
terribly safe way to do things, because it will not own directories that are
created.

In the case of pyflowtools, no new directories are created, and the result is
the same, but its never too early to break bad habits.

This package is APPROVED, but please make the spec file changes as listed in
this patch before requesting a build.
Comment 5 Tom "spot" Callaway 2005-10-05 15:23:16 EDT
APPROVED. Also, in the future, if you want to get my attention faster, please
either send me an email or CC me on the bug. :)
Comment 6 Paul P Komkoff Jr 2005-10-07 02:24:43 EDT
This actually breaks on x86_64:
[stingray@ns SPECS]$ arch ; python -c "from distutils.sysconfig import
get_python_lib; print get_python_lib()"
x86_64
/usr/lib/python2.4/site-packages
Comment 7 Tom "spot" Callaway 2005-10-07 02:28:35 EDT
Try:

%{__python} -c "from distutils.sysconfig import get_python_lib; print
get_python_lib(1)"

instead

Note You need to log in before you can comment on or make changes to this bug.